package com.staffing.common.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 读取项目相关配置
 * 
 * @author staffing
 */
@Component
@ConfigurationProperties(prefix = "env")
public class EnvConfig {
    /**
     * 二维码 地址内容
     */
    private String genPicCodeUrl;

    /**
     * minio 文件前缀
     */
    private String picPrefix;

    /**
     * 小程序
     */
    private String appId;

    /**
     * 小程序
     */
    private String secret;

    public String getGenPicCodeUrl() {
        return genPicCodeUrl;
    }

    public void setGenPicCodeUrl(String genPicCodeUrl) {
        this.genPicCodeUrl = genPicCodeUrl;
    }

    public String getPicPrefix() {
        return picPrefix;
    }

    public void setPicPrefix(String picPrefix) {
        this.picPrefix = picPrefix;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        this.secret = secret;
    }
}